Package net.paulhertz.pixelaudio.io

# Enum Class GestureGranularConfigIO.InstrumentType

java.lang.Object
java.lang.Enum<GestureGranularConfigIO.InstrumentType>
net.paulhertz.pixelaudio.io.GestureGranularConfigIO.InstrumentType

All Implemented Interfaces:
  `Serializable`, `Comparable<GestureGranularConfigIO.InstrumentType>`, `Constable`

Enclosing class:
  GestureGranularConfigIO

public static enum GestureGranularConfigIO.InstrumentType extends Enum<GestureGranularConfigIO.InstrumentType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GRANULAR`
  `SAMPLER`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `InstrumentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GestureGranularConfigIO.InstrumentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GestureGranularConfigIO.InstrumentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GRANULAR

    public static final GestureGranularConfigIO.InstrumentType GRANULAR

  - ### SAMPLER

    public static final GestureGranularConfigIO.InstrumentType SAMPLER

- ## Constructor Details

  - ### InstrumentType

    private InstrumentType()

- ## Method Details

  - ### values

    public static GestureGranularConfigIO.InstrumentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GestureGranularConfigIO.InstrumentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null